package public

import (
	"flag"
)
func FlagInit()bool{

	var reportText  = flag.String(Msg_Report,"","report to AD")
	var backupText	= flag.String(Msg_Backup,"","backup status to AD")
	var execText	= flag.String(Msg_Exec,"","exec to LocalDaemon")
	flag.Parse()
	if *reportText 	!= "" {flag_report(reportText);return true}
	if *backupText 	!= "" {flag_bakcup(backupText);return true}
	if *execText 	!= "" {flag_exec(execText);return true}

	return false
	
}
func flag_report(s *string){
	SendServerReport(*s)
}
func flag_bakcup(s *string){
	;
}
func flag_exec(s * string){
	;
}